Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class CommonCriteriaAdapter

`java.lang.Object
oracle.jbo.common.CommonCriteriaAdapter`

Direct Known Subclasses:
  BaseSQLBuilderImpl

public abstract class CommonCriteriaAdapter
extends java.lang.Object

Field Summary
`static java.lang.String` | `BETWEEN`
`static java.lang.String` | `IN`
`static java.lang.String` | `IS`
`static java.lang.String` | `LIKE`
`static java.lang.String` | `LIKE_QOT`
`static java.lang.String` | `NOT`
`static java.lang.String` | `NULL`
`static char` | `QOT`
`static java.lang.String` | `QOTSTR`

Constructor Summary
`CommonCriteriaAdapter()`

Method Summary
`protected java.lang.Object` | `convertValueToWhereFragment(ViewCriteria vc, AttributeDef curDef, java.lang.String trimmedValue)`
`protected abstract java.lang.Object` | `formatAttributeValue(ViewCriteria vc, AttributeDef curDef, java.lang.String valString)`
`protected java.lang.String` | `getCriteriaClause(AttributeDef[] attrDefs, ViewCriteria criteria)`
`protected java.lang.String` | `getFormattedLHSCompareFragment(AttributeDef attrDef, int sqlType, java.lang.String lhs, java.lang.Object rhs)`
`protected java.lang.String` | `getFormattedLHSCompareFragment(ViewCriteria vc, AttributeDef attrDef, int sqlType, java.lang.String lhs, java.lang.Object rhs)`
`protected java.lang.String` | `getFormattedRHSCompareFragment(ViewCriteria vc, AttributeDef attrDef, int sqlType, java.lang.String rhs)`
`boolean` | `isCharType(int type)`
`boolean` | `isNumericType(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QOT

    public static final char QOT

  See Also:
    Constant Field Values

### QOTSTR

    public static final java.lang.String QOTSTR

  See Also:
    Constant Field Values

### LIKE_QOT

    public static final java.lang.String LIKE_QOT

  See Also:
    Constant Field Values

### LIKE

    public static final java.lang.String LIKE

  See Also:
    Constant Field Values

### IS

    public static final java.lang.String IS

  See Also:
    Constant Field Values

### IN

    public static final java.lang.String IN

  See Also:
    Constant Field Values

### NOT

    public static final java.lang.String NOT

  See Also:
    Constant Field Values

### NULL

    public static final java.lang.String NULL

  See Also:
    Constant Field Values

### BETWEEN

    public static final java.lang.String BETWEEN

  See Also:
    Constant Field Values

Constructor Detail

### CommonCriteriaAdapter

    public CommonCriteriaAdapter()

Method Detail

### formatAttributeValue

    protected abstract java.lang.Object formatAttributeValue(ViewCriteria vc,
                                                             AttributeDef curDef,
                                                             java.lang.String valString)

### getCriteriaClause

    protected java.lang.String getCriteriaClause(AttributeDef[] attrDefs,
                                                 ViewCriteria criteria)

### convertValueToWhereFragment

    protected java.lang.Object convertValueToWhereFragment(ViewCriteria vc,
                                                           AttributeDef curDef,
                                                           java.lang.String trimmedValue)

### getFormattedRHSCompareFragment

    protected java.lang.String getFormattedRHSCompareFragment(ViewCriteria vc,
                                                              AttributeDef attrDef,
                                                              int sqlType,
                                                              java.lang.String rhs)

### getFormattedLHSCompareFragment

    protected java.lang.String getFormattedLHSCompareFragment(ViewCriteria vc,
                                                              AttributeDef attrDef,
                                                              int sqlType,
                                                              java.lang.String lhs,
                                                              java.lang.Object rhs)

### getFormattedLHSCompareFragment

    protected java.lang.String getFormattedLHSCompareFragment(AttributeDef attrDef,
                                                              int sqlType,
                                                              java.lang.String lhs,
                                                              java.lang.Object rhs)

### isCharType

    public boolean isCharType(int type)

### isNumericType

    public boolean isNumericType(int type)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.